Subject: bug#57250: emacs-lisp-mode not highlighting single characters `k' in comments

From: uzibalqa <[email-masked]>
Date: Tue, 16 Aug 2022 20:31:38 +0000

------- Original Message -------
On Tuesday, August 16th, 2022 at 7:23 PM, Drew Adams <[email-masked]> wrote:

> > > But if the character sequence within tick ` and a single quote ' is a
> > > single
> > > character, the character does not get highlighted.
> > >
> > > Example:
> > >
> > > ;; Insert `k' for words with initial values.
> > >
> > > The character k does not get highlighted.
> >
> > That's because k here is more likely to be a key than a Lisp symbol.
> >
> > So I think this is expected.
>
>
> FWIW, I don't think it should be expected.
>
> And even if it were expected to consider it
> a key, that's not a reason not to highlight
> it.

I agree.  That has been my argument.

Keys such as `M-x' do get highlighted. To me, this is a minor bug or a nice-to-have. If it can be fixed reasonably then that would be good. We need not expect, for this bug fix, that things like` C-x C-x', which contains a SPC
> char, would also get fixed (highlighted).
>
> That would be nice, but there's only so much
> that reasonably can be done. Highlighting
> everything from `to ' would likely introduce a fair number of problems. (And then there are things like a`C-x C-x' that's split
> across a newline...)

It would valuable to highlight everything from ` to ' if they happen on tho same line.

Or some other mechanism to highlight certain elements in comments that would benefit out of emphasising.